=== debian/watch ===
version=3
http://www.unix-ag.uni-kl.de/~massar/vpnc/vpnc-(.*)\.tar\.gz
