=== debian/changelog ===
vpnc (0.5.3+git20220503-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Florian Schlichting ]
  * Import new upstream version 0.5.3+git20220503 (closes: #1011047)
  * Update d/watch: point to streambinder repo, use mode=git
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1
  * Drop patches applied upstream
  * Add d/README.source about creating the upstream tarball

 -- Florian Schlichting <fsfs@debian.org>  Mon, 16 May 2022 22:21:20 +0800

vpnc (0.5.3+git20210125-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Florian Schlichting ]
  * Import new upstream version 0.5.3+git20210125 (closes: #935855, #954356)
  * Drop obsolete conffile migrations
  * Drop patches applied upstream and update cross.patch
  * Add create-systemddir.patch so we can install the systemd unit
  * Adjust Homepage and d/copyright for github upstream
  * Install docs from github wiki submodule
  * d/rules: inject Debian's paths package version
  * Add spelling.patch fixing typos found by lintian
  * Update upstream metadata, point to github
  * Bump dh compat to level 13
  * Declare compliance with Debian Policy 4.5.1
  * Add Rules-Requires-Root: no

 -- Florian Schlichting <fsfs@debian.org>  Mon, 25 Jan 2021 22:05:23 +0800
