=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libgnutls28-dev,
  pkg-config,
  vpnc:native <cross>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/vpnc
 Vcs-Git: https://salsa.debian.org/debian/vpnc.git
 Homepage: https://github.com/streambinder/vpnc
