=== debian/changelog ===
vpnc (0.5.3+git20220927-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:59 +1100

vpnc (0.5.3+git20220927-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 10:49:00 +1300

vpnc (0.5.3+git20220927-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.

  [ Florian Schlichting ]
  * Import new upstream version 0.5.3+git20220927
  * Add d/source/options to ignore .github/ that is skipped when generating
    the tarball
  * Update the other lintian override to new format
  * Declare compliance with Debian Policy 4.6.2

 -- Florian Schlichting <fsfs@debian.org>  Tue, 27 Dec 2022 20:24:45 +0100
