=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: vpnc
 Section: net
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libgcrypt20-dev,
  libgnutls28-dev,
  pkg-config,
  vpnc:native <cross>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/vpnc
 Vcs-Git: https://salsa.debian.org/debian/vpnc.git
 Homepage: https://github.com/streambinder/vpnc
