=== debian/changelog ===
vpnc (0.5.3+git20240226-2) unstable; urgency=medium

  * d/t/functions.d/ping.patterns:
    - Relax ping timing limits even more to run autopkgtest on ci.d.n reliably.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 17 May 2024 14:30:21 +0200

vpnc (0.5.3+git20240226-1) unstable; urgency=medium

  * Import new upstream version 0.5.3+git20240226.
  * d/p/*:
    - Drop patches applied upstream by now.
  * d/t/functions.d/ping.patterns:
    - Relax ping timing limits to run autopkgtest on ci.d.n more reliably.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 15 May 2024 17:23:39 +0200

vpnc (0.5.3+git20231109-1) unstable; urgency=medium

  * Import new upstream version 0.5.3+git20231109.
  * d/control:
    - Set the new maintainer and add myself as uploader (Closes: #818547).
    - Update Vcs-Browser and Vcs-Git.
    - Format fields Build-Depends and Depends with one line per entry.
  * d/vpnc.docs: Fetch upstream doc files from the updated location.
  * d/t/*: Introduce autopkgtests.
  * d/rules + d/vpnc@service: Let dh_installsystemd place the service file
    into the proper location.
  * d/rules: Remove explicit crossbuild measures nowadays covered by debhelper.
  * d/p/targets-in-subdirs.patch: Correct rules for some targets built in
    subdirectories.
  * d/README.source: Deleted, the content has become obsolete.
  * d/copyright:
    - Format Copyright fields in a more readable way.
    - Add some email addresses found on the net.
    - Bump years where required.
    - Add myself as a copyright holder regarding the debian/* files.
  * d/p/remove-copyright-holder-jolla.patch: Remove Jolla Ltd. as a copyright
    holder, no code has been contributed by them.
  * Introduce salsa-ci.yml.
  * Bump Standards-Version to 4.7.0.
  * Update Build-Depends: pkg-config -> pkgconf.
  * Add d/gbp.conf.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 10 May 2024 08:54:54 +0200
