=== debian/changelog ===
vpnc (0.5.3+git20241126-1) unstable; urgency=medium

  * New upstream version 0.5.3+git20241126
  * d/control + d/copyright:
    - Update my email address to the d.o one.

 -- Sven Geuer <sge@debian.org>  Wed, 27 Nov 2024 15:23:58 +0100
