=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vpnc
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>
+Uploaders: Sven Geuer <sge@debian.org>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
