=== debian/tests/control ===
Tests: connect-to-server
Depends: @,
         strongswan,
         libcharon-extauth-plugins,
         iputils-ping,
Restrictions: needs-root,
              isolation-machine,
