=== debian/changelog ===
vpnc (0.5.3+git20241220-2) unstable; urgency=medium

  * d/t/control: Adapt Depends to strongswan packaging >= 6.0.0-1
    (Closes: #1100835).

 -- Sven Geuer <sge@debian.org>  Wed, 19 Mar 2025 18:46:39 +0100

vpnc (0.5.3+git20241220-1) unstable; urgency=medium

  * New upstream version 0.5.3+git20241220
  * d/copyright: Bump copyright years.

 -- Sven Geuer <sge@debian.org>  Thu, 20 Feb 2025 23:03:05 +0100
