=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
export VPNC = /usr/sbin/vpnc
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- SCRIPT_PATH=/usr/share/vpnc-scripts/vpnc-script VERSION=$(DEB_VERSION)

override_dh_auto_install:
	touch install-doc
	dh_auto_install -- PREFIX=/usr
	rm -rf ./debian/vpnc/usr/share/licenses
	# Remove the systemd service directory and file. Dh_installsystemd installs
	# it automatically from the link in debian/ to the correct location
	# (/lib or /usr/lib).
	rm -rf ./debian/vpnc/usr/lib

override_dh_fixperms:
	dh_fixperms
	chmod 700 ./debian/vpnc/etc/vpnc
	chmod 600 ./debian/vpnc/etc/vpnc/default.conf
