## vpnc 0.5.8-0m5

=== debian/changelog ===
vpnc (0.5.8-0m5) unstable; urgency=low

  * Maemo 5 Port

 -- Vitaly Repin <vitaly.repin@nokia.com>  Thu, 3 Dec 2009 16:15:00 +0200
