=== debian/control ===
Source: vpnc
Section: user/communication
Priority: extra
Maintainer: Philipp Seidel <maemo@dinotools.de>
Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch, libssl-dev, maemo-optify
Standards-Version: 3.8.0

Package: vpnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: resolvconf, iproute
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except of the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.
