## vpnc 0.5.9-1m5

=== debian/changelog ===
vpnc (0.5.9-1m5) unstable; urgency=low

  * Minor fix in postinst script.

 -- Vitaly Repin <vitaly.repin@nokia.com>  Mon, 01 Feb 2010 16:15:00 +0200

vpnc (0.5.9-0m5) unstable; urgency=low

  * Fix configuration script for PR1.1 and PR1.0-PR1.1 updates.

 -- Vitaly Repin <vitaly.repin@nokia.com>  Mon, 11 Jan 2010 16:15:00 +0200
