=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: vpnc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libicd-network-ipv4 (>= 0.22)
 Recommends: resolvconf, iproute
 Description: Cisco-compatible VPN client
  vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
