## vpnc 0.5.9-1m6

=== debian/changelog ===
vpnc (0.5.9-1m6) unstable; urgency=low

  * Remove vpnc ifup script in debian/postrm.
  * Changed debian section to user/network.
  * Minor fix in postinst and postrm script.

 -- Vitaly Repin <vitaly.repin@nokia.com>  Thu, 22 Apr 2010 16:15:00 +0200
