=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: vpnc
-Section: user/communication
+Section: user/network
 Priority: extra
 Maintainer: Philipp Seidel <maemo@dinotools.de>
 Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch, libssl-dev, maemo-optify
@@ -7,8 +7,10 @@
 
 Package: vpnc
 Architecture: any
+Section: user/network
 Depends: ${shlibs:Depends}, ${misc:Depends}, libicd-network-ipv4 (>= 0.22)
 Recommends: resolvconf, iproute
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=117
 Description: Cisco-compatible VPN client
  vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
  known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
